Bug 1603144 - Installing prometheus should update iptable rules for node-exporter
Summary: Installing prometheus should update iptable rules for node-exporter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.9.z
Assignee: Simon Pasquier
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1563888
Blocks: 1600562
TreeView+ depends on / blocked
 
Reported: 2018-07-19 09:58 UTC by Simon Pasquier
Modified: 2018-08-29 14:43 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the 9100 port is blocked on all nodes by default. Consequence: Prometheus can't scrape the node_exporter service running on the other nodes and which listens on port 9100. Fix: the firewall configuration is modified to allow incoming TCP traffic for the 9000-1000 port range. Result: Prometheus can scrape the node_exporter services.
Clone Of: 1563888
Environment:
Last Closed: 2018-08-29 14:42:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift openshift-ansible issues 7999 None None None 2018-07-19 09:58:18 UTC
Github openshift openshift-ansible pull 9258 None None None 2018-07-19 09:58:18 UTC
Red Hat Product Errata RHBA-2018:2549 None None None 2018-08-29 14:43:24 UTC

Comment 2 Junqi Zhao 2018-08-22 05:33:51 UTC
node-exporter 9100 port is open on nodes which node-exporter pods are running at, for example:
# netstat -anlp | grep 9100
tcp6       0      0 :::9100                 :::*                    LISTEN      54236/node_exporter 
tcp6       0      0 172.16.120.88:9100      10.128.0.10:56394       ESTABLISHED 54236/node_exporter 

and node-exporter target could be accessed without error

env:
openshift-ansible-3.9.41-1.git.0.4c55974.el7.noarch
prometheus-node-exporter:v3.9.41

# openshift version
openshift v3.9.41
kubernetes v1.9.1+a0ce1bc657
etcd 3.2.16

Comment 4 errata-xmlrpc 2018-08-29 14:42:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2549


Note You need to log in before you can comment on or make changes to this bug.